Delete verifier policy by ID
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/verifier-policies/{id}Deletes a specific published ecosystem verifier policy by providing the ecosystem ID and the verifier policy ID.
The verifier policy ID is the id returned when a policy is published, and is also included in the response
from the Retrieve latest verifier policy endpoint.
Analytic events
- ECOSYSTEM_VERIFIER_POLICY_DELETE_START
- ECOSYSTEM_VERIFIER_POLICY_DELETE_SUCCESS
- ECOSYSTEM_VERIFIER_POLICY_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidThe UUID of the verifier policy
uuidResponse Body
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/verifier-policies/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve verifier policy by ID GET
Retrieves a specific published ecosystem verifier policy by providing the ecosystem ID and the verifier policy ID. The verifier policy ID is the `id` returned when a policy is published, and is also included in the response from the [Retrieve latest verifier policy](#operation/getLatestVerifierPolicy) endpoint. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_START * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_SUCCESS * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_FAIL
Create VICAL POST
Creates a Verified Issuer Certificate Authority List (VICAL) based on the policy of the requested ecosystem. Refer to VICAL to learn more about the [VICAL](https://learn.mattr.global/docs/digital-trust-service/vical-overview) purpose and data structure.